#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		akonadi-calendar-tools
Summary:	Akonadi Calendar Tools
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	528bfbf9504fb2ab51121664bc36e07b
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= 5.11.1
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka5-calendarsupport-devel >= %{kdeappsver}
BuildRequires:	ka5-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka5-libkdepim-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcalendarcore-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Console applications and utilities for managing calendars in Akonadi.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/calendarjanitor
%attr(755,root,root) %{_bindir}/konsolekalendar
%{_desktopdir}/konsolekalendar.desktop
%{_iconsdir}/hicolor/128x128/apps/konsolekalendar.png
%{_iconsdir}/hicolor/16x16/apps/konsolekalendar.png
%{_iconsdir}/hicolor/22x22/apps/konsolekalendar.png
%{_iconsdir}/hicolor/32x32/apps/konsolekalendar.png
%{_iconsdir}/hicolor/48x48/apps/konsolekalendar.png
%{_datadir}/qlogging-categories5/console.categories
%{_datadir}/qlogging-categories5/console.renamecategories
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-akonadi-calendar-tools.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 18af9a1
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e73fdf2
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 37385d2
- updated to 22.08.2

* Tue Sep 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> afda5d8
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 75911e6
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e1156a9
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 17099f8
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9ef6b3d
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9bca171
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 95feef4
- updated to 22.04.3

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 396dab4
- relup

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> d898efc
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 57b16fb
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f7c8f73
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7bc0030
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7e17ce1
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9f03b11
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4e6388c
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ef61163
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b4d869f
- updated to 21.08.3

